function isCursorOnElement ( x, y, w, h )
    local mx, my = getCursorPosition ()
    local fullx, fully = guiGetScreenSize ()
    cursorx, cursory = mx*fullx, my*fully
    if cursorx > x and cursorx < x + w and cursory > y and cursory < y + h then
        return true
    else
        return false
    end
end

-------------------------------------------------------------------------------

local screenW, screenH = guiGetScreenSize()

function painel()
    dxDrawRectangle(screenW * 0.5659, screenH * 0.2721, screenW * 0.1654, screenH * 0.4518, tocolor(93, 90, 89, 255), false)
    dxDrawRectangle(screenW * 0.5659, screenH * 0.2721, screenW * 0.1654, screenH * 0.0456, tocolor(0, 0, 0, 255), false)
    dxDrawText("Spawn VTR", screenW * 0.5659, screenH * 0.2721, screenW * 0.7313, screenH * 0.3190, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
    dxDrawRectangle(screenW * 0.5732, screenH * 0.3776, screenW * 0.1508, screenH * 0.0456, tocolor(0, 0, 0, 255), false)
    dxDrawText("VTR 01", screenW * 0.5732, screenH * 0.3776, screenW * 0.7240, screenH * 0.4245, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
    dxDrawRectangle(screenW * 0.5732, screenH * 0.4453, screenW * 0.1508, screenH * 0.0456, tocolor(0, 0, 0, 255), false)
    dxDrawRectangle(screenW * 0.5732, screenH * 0.5156, screenW * 0.1508, screenH * 0.0456, tocolor(0, 0, 0, 255), false)
    dxDrawText("VTR 02", screenW * 0.5732, screenH * 0.4453, screenW * 0.7240, screenH * 0.4922, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
    dxDrawText("VTR 03", screenW * 0.5732, screenH * 0.5156, screenW * 0.7240, screenH * 0.5625, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
    dxDrawRectangle(screenW * 0.6808, screenH * 0.6966, screenW * 0.0505, screenH * 0.0273, tocolor(0, 0, 0, 255), false)
    dxDrawText("Fechar", screenW * 0.6808, screenH * 0.6966, screenW * 0.7313, screenH * 0.7240, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
end

local dxV = false

function CreateDX()
	if dxV == false then
		dxV = true
		showCursor(true)
		addEventHandler("onClientRender", getRootElement(), painel)
	end
end
addEvent("abrirPainel", true)
addEventHandler("abrirPainel", getRootElement(), CreateDX)

function SelectVTR(button, state)
	if dxV == true then
		if button == "left" and state == "down" then
			if isCursorOnElement(screenW * 0.5732, screenH * 0.3776, screenW * 0.1508, screenH * 0.0456) then -- VTR 1
				setElementData(localPlayer, "VTRSelect", 1)
				triggerServerEvent("GiveVTR", localPlayer, localPlayer)
				dxV = false
				showCursor(false)
				removeEventHandler("onClientRender", getRootElement(), painel)
			elseif isCursorOnElement(screenW * 0.5732, screenH * 0.4453, screenW * 0.1508, screenH * 0.0456) then
				setElementData(localPlayer, "VTRSelect", 2)
				triggerServerEvent("GiveVTR", localPlayer, localPlayer)
				dxV = false
				showCursor(false)
				removeEventHandler("onClientRender", getRootElement(), painel)
			elseif isCursorOnElement(screenW * 0.5732, screenH * 0.5156, screenW * 0.1508, screenH * 0.0456) then
				setElementData(localPlayer, "VTRSelect", 3)
				triggerServerEvent("GiveVTR", localPlayer, localPlayer)
				dxV = false
				showCursor(false)
				removeEventHandler("onClientRender", getRootElement(), painel)
			elseif isCursorOnElement(screenW * 0.6808, screenH * 0.6966, screenW * 0.0505, screenH * 0.0273) then
				dxV = false
				showCursor(false)
				removeEventHandler("onClientRender", getRootElement(), painel)
			end
		end
	end
end
addEventHandler("onClientClick", getRootElement(), SelectVTR)

-- By AltPlayer#4051