local MarkerSpawn = createMarker(2043.109, 1545.777, 10.672-1, "cylinder", 1.1, 255, 255, 255, 100)
local vtr1 = 596 -- Edite a VTR 1 AQUI
local vtr2 = 490 -- Edite a VTR 2 AQUI
local vtr3 = 427 -- Edite a VTR 3 AQUI
local MarkerDestroy = createMarker(2043.171, 1542.896, 10.672-1, "cylinder", 1.6, 255, 0, 0, 100)

function HitMarker(player)
	if player and not isPedInVehicle(player) then
		triggerClientEvent(player, "abrirPainel", player)
	end
end
addEventHandler("onMarkerHit", MarkerSpawn, HitMarker)

local vehSpawn = {}

function spawn(player)
	if player then
		local vtrSelecionada = getElementData(player, "VTRSelect")
		if vehSpawn[player] then
			destroyElement(vehSpawn[player])
		end
		if vtrSelecionada then
			if vtrSelecionada == 1 then
				vehSpawn[player] = createVehicle(vtr1, 2047.935, 1545.403, 10.672)
				warpPedIntoVehicle(player, vehSpawn[player])
			elseif vtrSelecionada == 2 then
				vehSpawn[player] = createVehicle(vtr2, 2047.935, 1545.403, 10.672)
				warpPedIntoVehicle(player, vehSpawn[player])
			elseif vtrSelecionada == 3 then
				vehSpawn[player] = createVehicle(vtr3, 2047.935, 1545.403, 10.672)
				warpPedIntoVehicle(player, vehSpawn[player])
			end
		end
	end
end
addEvent("GiveVTR", true)
addEventHandler("GiveVTR", getRootElement(), spawn)

function Destroy(marker)
	if marker == MarkerDestroy then
		if isPedInVehicle(source) then
			local vehicle = getPedOccupiedVehicle(source)
			if vehicle then
				if getElementModel(vehicle) == vtr1 or getElementModel(vehicle) == vtr2 or getElementModel(vehicle) == vtr3 then
					destroyElement(vehSpawn[source])
					vehSpawn[source] = nil
				end
			end
		end
	end
end
addEventHandler("onPlayerMarkerHit", getRootElement(), Destroy)